CamelLocalStore
3
CAMEL Library

# CamelLocalStore

## Synopsis

                        CamelLocalStore;
    const gchar*        camel_local_store_get_toplevel_dir  (CamelLocalStore *store);
    #define             camel_local_store_get_full_path     (ls, name)
    #define             camel_local_store_get_meta_path     (ls, name, ext)

## Description

## Details

### CamelLocalStore

    typedef struct {
    	CamelStore parent_object;

    	char *toplevel_dir;
    } CamelLocalStore;

### camel_local_store_get_toplevel_dir ()

    const gchar*        camel_local_store_get_toplevel_dir  (CamelLocalStore *store);

`store` :

Returns :

### camel_local_store_get_full_path()

    #define camel_local_store_get_full_path(ls, name) ((CamelLocalStoreClass *)((CamelObject *)ls)->klass)->get_full_path((CamelLocalStore *)ls, name)

`ls` :

`name` :

### camel_local_store_get_meta_path()

    #define camel_local_store_get_meta_path(ls, name, ext) ((CamelLocalStoreClass *)((CamelObject *)ls)->klass)->get_meta_path((CamelLocalStore *)ls, name, ext)

`ls` :

`name` :

`ext` :